thread File Reference

Go to the source code of this file.

## Classes

struct | std::hash< thread::id >
class | std::thread
class | std::thread::id

## Namespaces

namespace | std
namespace | std::this_thread

## Macros

#define | _GLIBCXX_THREAD

## Functions

void | std::this_thread::__sleep_for (chrono::seconds, chrono::nanoseconds)
thread::id | std::this_thread::get_id () noexcept
bool | std::operator!= (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)
bool | std::operator<= (thread::id __x, thread::id __y) noexcept
bool | std::operator> (thread::id __x, thread::id __y) noexcept
bool | std::operator>= (thread::id __x, thread::id __y) noexcept
template<typename _Rep , typename _Period >
void | std::this_thread::sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
void | std::this_thread::sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | std::swap (thread &__x, thread &__y) noexcept
void | std::this_thread::yield () noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file thread.